Bug 230791 - devel/llvm70 docs install error
Summary: devel/llvm70 docs install error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks: 234429
  Show dependency treegraph
 
Reported: 2018-08-21 00:40 UTC by Jack
Modified: 2019-04-20 12:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2018-08-21 00:40:10 UTC
# This file is auto-generated by 'make config'.
# Options for llvm70-7.0.0.r1
_OPTIONS_READ=llvm70-7.0.0.r1
_FILE_COMPLETE_OPTIONS_LIST=CLANG COMPILER_RT DOCS EXTRAS GOLD LIT LLD LLDB OPENMP
OPTIONS_FILE_SET+=CLANG
OPTIONS_FILE_UNSET+=COMPILER_RT
OPTIONS_FILE_UNSET+=DOCS
OPTIONS_FILE_UNSET+=EXTRAS
OPTIONS_FILE_SET+=GOLD
OPTIONS_FILE_UNSET+=LIT
OPTIONS_FILE_SET+=LLD
OPTIONS_FILE_UNSET+=LLDB
OPTIONS_FILE_SET+=OPENMP

/usr/ports/devel/llvm70 # make install
===>  Installing for llvm70-7.0.0.r1
===>  Checking if llvm70 already installed
===>   Registering installation for llvm70-7.0.0.r1
pkg-static: Unable to access file /usr/obj/usr/ports/devel/llvm70/work/stage/usr/local/llvm70/lib/libclangDoc.a:No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/devel/llvm70
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/llvm70
Comment 1 Brooks Davis freebsd_committer 2018-08-24 16:08:32 UTC
Fixed in r477755:

Fix builds without DOCS.

libclangDoc.a is excluded when documentation builds are disabled.

PR:             llvm70
Reported by:    xxjack12xx@gmail.com
Comment 2 Charlie Li 2018-10-17 16:07:53 UTC
Even with DOCS enabled, this file is still not found and the build fails.
Comment 3 Greg V 2019-02-02 20:11:15 UTC
libclangDoc is actually part of EXTRAS. DOCS was obviously wrong, as DOCS is about manpages and such, not libraries and tools.

I posted a fix to https://reviews.freebsd.org/D19068
Comment 4 commit-hook freebsd_committer 2019-02-25 19:29:35 UTC
A commit references this bug:

Author: brooks
Date: Mon Feb 25 19:28:56 UTC 2019
New revision: 493890
URL: https://svnweb.freebsd.org/changeset/ports/493890

Log:
  Fix libclangDoc.a installation, install clang-doc80

  Bug 230791 mistakenly put libclangDoc.a under %%DOCS%%.  It actually
  belongs to clang extras.

  Plus, on 8.0.0, the clang-doc binary does work, so we can install that
  too.

  PORTREVISION bumped for llvm80 due to new file, not bumped for llvm70 as
  this plist change only fixes previously broken OPTIONS configurations.

  PR:		230791
  Submitted by:	Greg V
  Differential Revision:	https://reviews.freebsd.org/D19068

Changes:
  head/devel/llvm70/Makefile
  head/devel/llvm70/pkg-plist
  head/devel/llvm80/Makefile
  head/devel/llvm80/files/patch-tools_clang_tools_extra_clang-doc_tool_CMakeLists.txt
  head/devel/llvm80/pkg-plist